create_project -force -part $::env(XRAY_PART) design design

read_verilog design.v
synth_design -top top

set_property CFGBVS VCCO [current_design]
set_property CONFIG_VOLTAGE 3.3 [current_design]
set_property BITSTREAM.GENERAL.PERFRAMECRC YES [current_design]

set_property -dict "PACKAGE_PIN A18 IOSTANDARD LVCMOS33" [get_ports wraddr[0]]
set_property -dict "PACKAGE_PIN B18 IOSTANDARD LVCMOS33" [get_ports wraddr[1]]
set_property -dict "PACKAGE_PIN V17 IOSTANDARD LVCMOS33" [get_ports wraddr[2]]
set_property -dict "PACKAGE_PIN V16 IOSTANDARD LVCMOS33" [get_ports wraddr[3]]
set_property -dict "PACKAGE_PIN W16 IOSTANDARD LVCMOS33" [get_ports wraddr[4]]
set_property -dict "PACKAGE_PIN W17 IOSTANDARD LVCMOS33" [get_ports wraddr[5]]
set_property -dict "PACKAGE_PIN V15 IOSTANDARD LVCMOS33" [get_ports rdaddr[0]]
set_property -dict "PACKAGE_PIN W14 IOSTANDARD LVCMOS33" [get_ports rdaddr[1]]
set_property -dict "PACKAGE_PIN W13 IOSTANDARD LVCMOS33" [get_ports rdaddr[2]]
set_property -dict "PACKAGE_PIN V2 IOSTANDARD LVCMOS33" [get_ports rdaddr[3]]
set_property -dict "PACKAGE_PIN T3 IOSTANDARD LVCMOS33" [get_ports rdaddr[4]]
set_property -dict "PACKAGE_PIN T2 IOSTANDARD LVCMOS33" [get_ports rdaddr[5]]
set_property -dict "PACKAGE_PIN R3 IOSTANDARD LVCMOS33" [get_ports we]
set_property -dict "PACKAGE_PIN E19 IOSTANDARD LVCMOS33" [get_ports di]
set_property -dict "PACKAGE_PIN W2 IOSTANDARD LVCMOS33" [get_ports di2]
set_property -dict "PACKAGE_PIN U1 IOSTANDARD LVCMOS33" [get_ports spo[0]]
set_property -dict "PACKAGE_PIN T1 IOSTANDARD LVCMOS33" [get_ports spo[1]]
set_property -dict "PACKAGE_PIN R2 IOSTANDARD LVCMOS33" [get_ports dpo[0]]
set_property -dict "PACKAGE_PIN U16 IOSTANDARD LVCMOS33" [get_ports dpo[1]]
set_property -dict "PACKAGE_PIN W5 IOSTANDARD LVCMOS33" [get_ports clk]

place_design
route_design

write_checkpoint -force design.dcp
write_bitstream -force design.bit
